%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate concolor

Name:           rust-concolor
Version:        0.1.1
Release:    1%{?dist}
Summary:        Control console coloring across all dependencies

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/concolor
Source0:         %{crates_source}
Patch:          concolor-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Control console coloring across all dependencies.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+api-devel %{_description}

This package contains library source intended for building other packages which
use the "api" feature of the "%{crate}" crate.

%files       -n %{name}+api-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+auto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+auto-devel %{_description}

This package contains library source intended for building other packages which
use the "auto" feature of the "%{crate}" crate.

%files       -n %{name}+auto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clicolor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clicolor-devel %{_description}

This package contains library source intended for building other packages which
use the "clicolor" feature of the "%{crate}" crate.

%files       -n %{name}+clicolor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+core-devel %{_description}

This package contains library source intended for building other packages which
use the "core" feature of the "%{crate}" crate.

%files       -n %{name}+core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+interactive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+interactive-devel %{_description}

This package contains library source intended for building other packages which
use the "interactive" feature of the "%{crate}" crate.

%files       -n %{name}+interactive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no_color-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no_color-devel %{_description}

This package contains library source intended for building other packages which
use the "no_color" feature of the "%{crate}" crate.

%files       -n %{name}+no_color-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+term-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+term-devel %{_description}

This package contains library source intended for building other packages which
use the "term" feature of the "%{crate}" crate.

%files       -n %{name}+term-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f api

%build
%cargo_build -f api

%install
%cargo_install -f api

%if %{with check}
%check
%cargo_test -f api
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.1-1
- initial build
